.service-bar-container {
    max-height: 100vh;
    min-height: 100vh;
    overflow-y: auto;

    &::-webkit-scrollbar {
        width: 7px;
        height: 7px;
    }
    &::-webkit-scrollbar-button {
        width: 0px;
        height: 0px;
    }
    &::-webkit-scrollbar-thumb {
        background: #585252;
        border: 0px none transparent;
        border-radius: 24px;
    }
    &::-webkit-scrollbar-thumb:hover {
        background: #585252;
    }
    &::-webkit-scrollbar-thumb:active {
        background: #585252;
    }
    &::-webkit-scrollbar-track {
        background: transparent;
        border: 0px none transparent;
        border-radius: 54px;
    }
    &::-webkit-scrollbar-track:hover {
        background: transparent;
    }
    &::-webkit-scrollbar-track:active {
        background:transparent;
    }
    &::-webkit-scrollbar-corner {
        background: transparent;
    }

    .service-item {
        display: block;
        min-height: 120px;
        text-align: center;
        padding: 10px 20px;
        position: relative;
        background-color: #FFFFFF;
        
        .item-inner {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            .item-icon {
                width: 100%;
                text-align: center;
                
                img {
                    display: inline-block;
                    max-width: 64px;
                    max-height: 37px;
                }
            }

            .item-label {
                display: inline-block;
                width: 100%;
                margin-top: 10px;
                color: black !important;
            
                .scaletext-wrapper span {
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;
                    overflow: hidden;
                }
            }
        }

        &.active {
            border-left: 8px solid #FFDB11;
            background-color: #F4F4F4;
        }
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media (max-width: 959px) {
    .service-bar-container {
        max-height: 100%;
        min-height: 50px;
        width: 100%;
        display: flex;
        flex-wrap: nowrap;
        border-bottom: 2px solid #FFDB11;
        overflow-x: auto;

        .service-item {
            min-width: 60px;
            padding-right: 10px;
            padding-left: 10px;
            
            &.active {
                border-left: 0;
                background-color: #FFFFFF;
                border-bottom: 2px solid #FFDB11;
                z-index: 999999;

                .item-icon {
                    border: 1px solid #FFDB11;
                }
                .item-label {
                    font-weight: 700;
                }
            }

            .item-inner {
                position: relative;

                .item-icon {
                    display: inline-block;
                    background-color: #F4F4F4;
                    border-radius: 50%;
                    width: 60px;
                    height: 60px;
                    position: relative;

                    img {
                        position: absolute;
                        left: 50%;
                        top: 50%;
                        transform: translate(-50%, -50%);
                        max-width: 70%;
                    }
                }

                .item-icon, .item-label {
                    z-index: 9999999 !important;
                }

                .item-label span {
                    font-size: 14px !important;
                }
            }
        }
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {}